/*global InMobiPlugin */

var AdvertisementBridge = {};
AdvertisementBridge.appId = null;
AdvertisementBridge.storeAppId = {
    Android: "e37d1cc835eb410eaa87f2bd5c8eaac0",
    iOS: "02d2b392bca74613a31164ed1b96cd97"
};

AdvertisementBridge.bannerAvailable = false;

AdvertisementBridge.bannerReady = function() { "use strict";
    AdvertisementBridge.bannerAvailable = true;
};

AdvertisementBridge.loadBanner = function() { "use strict";
    /*#IF(NATIVE_BUILD)*/
    if (InMobiPlugin && InMobiPlugin.ads) {
        InMobiPlugin.ads.initInterstitialAd({
            appId: AdvertisementBridge.appId,
            keywords: "game"
        });
        InMobiPlugin.ads.loadInterstitialAd();
    }
    /*#ENDIF*/
};

AdvertisementBridge.ready = function() { "use strict";
    /*#IF(NATIVE_BUILD)*/
    InMobiPlugin.ads.initialize({appId: AdvertisementBridge.appId});
    AdvertisementBridge.loadBanner();
    /*#ENDIF*/
};

AdvertisementBridge.init = function() { "use strict";
    AdvertisementBridge.appId = AdvertisementBridge.storeAppId[AppMobi.device.platform] || null;
    /*#IF(NATIVE_BUILD)*/
    document.addEventListener("inmobiplugin.ready", AdvertisementBridge.ready, false);
    document.addEventListener("inmobiplugin.interstitial.onAdRequestCompleted", AdvertisementBridge.bannerReady, false);
    document.addEventListener("inmobiplugin.interstitial.onDismissScreen", AdvertisementBridge.loadBanner, false);
    /*#ENDIF*/
};

AdvertisementBridge.showBanner = function() { "use strict";
    /*#IF(NATIVE_BUILD)*/
    if (InMobiPlugin && InMobiPlugin.ads && AdvertisementBridge.bannerAvailable) {
        AdvertisementBridge.bannerAvailable = false;
        InMobiPlugin.ads.showInterstitialAd();
    }
    /*#ENDIF*/
};
