ig.module(
	'plugins.dc.background-map'
)
.requires(
	'impact.background-map'
)
.defines(function(){

ig.BackgroundMap.inject({
	init: function( tilesize, data, tileset ) {
		this.parent( tilesize, data, tileset );
		this.chunkSize = 128;
	}
	
});	

//add event listener for resume - need to force background map to re-render
//this is a workaround for OpenGL textures being unloaded when the app is suspended
AppMobi.canvas.addEventListener(
	'appMobi.device.continue', 
	function() {
		for(var i=0;i<ig.game.backgroundMaps.length;i++) {
			if(ig.game.backgroundMaps[i].preRenderedChunks && ig.game.backgroundMaps[i].preRenderedChunks!=null){
				ig.game.backgroundMaps[i].preRenderedChunks = null;
			}
		}
	}, 
	false
);

});