/*global AppMobi */

var storageBridge = {};
storageBridge.useCookies = false;

storageBridge.set = function(key, value) { "use strict";
    if (storageBridge.useCookies) {
        AppMobi.cache.setCookie(key, value, -1);
    } else {
        localStorage[key] = value;
    }
};

storageBridge.get = function(key, callback) { "use strict";
    var value = storageBridge.useCookies ? AppMobi.cache.getCookie(key) : localStorage[key];
    if (value !== undefined) {
        AppMobi.canvas.execute(callback + "('" + value + "');");
    }
};
